> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Google



## OpenAPI

````yaml /openapi.json post /v1/auth/google/link
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/google/link:
    post:
      tags:
        - Auth
      summary: Link Google
      operationId: AuthController_linkGoogle_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkGoogleDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResponseDto'
components:
  schemas:
    LinkGoogleDto:
      type: object
      properties:
        credential:
          type: string
          minLength: 1
      required:
        - credential
      additionalProperties: false
    AuthResponseDto:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/AccountResponseDto'
        workspace:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/WorkspaceResponseDto'
        accessToken:
          type: string
        refreshToken:
          type: string
      required:
        - user
        - workspace
        - accessToken
        - refreshToken
    AccountResponseDto:
      type: object
      properties:
        phone:
          type: string
          nullable: true
        pendingEmail:
          type: string
          nullable: true
        hasPassword:
          type: boolean
        googleLinked:
          type: boolean
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        status:
          enum:
            - active
            - inactive
            - deactivated
          type: string
        avatar:
          type: string
          nullable: true
      required:
        - phone
        - pendingEmail
        - hasPassword
        - googleLinked
        - id
        - email
        - firstName
        - lastName
        - status
        - avatar
    WorkspaceResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ownerId:
          type: string
          nullable: true
      required:
        - id
        - name
        - ownerId

````